All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.commands
Class MapReportLinkingCommand.ReportLinkElement

    com.sas.actionprovider.commands.MapReportLinkingCommand.ReportLinkElement

Enclosing class:
  MapReportLinkingCommand

    protected class MapReportLinkingCommand.ReportLinkElement

Constructor Summary
`MapReportLinkingCommand.ReportLinkElement(com.sas.iquery.metadata.business.DataItem di, java.util.ArrayList l, TupleElementInterface te)`

Method Summary
`com.sas.iquery.metadata.business.DataItem` | `getDataItem()`
`java.util.ArrayList` | `getLevelsAndValues()`
`TupleElementInterface` | `getTupleElement()`
`void` | `setDataItem(com.sas.iquery.metadata.business.DataItem dataItem)`
`void` | `setLevelsAndValues(java.util.ArrayList level)`
`void` | `setTupleElement(TupleElementInterface tupleElement)`

Constructor Detail

### MapReportLinkingCommand.ReportLinkElement

    public MapReportLinkingCommand.ReportLinkElement(com.sas.iquery.metadata.business.DataItem di,
                                                     java.util.ArrayList l,
                                                     TupleElementInterface te)

Method Detail

### getDataItem

    public com.sas.iquery.metadata.business.DataItem getDataItem()

### setDataItem

    public void setDataItem(com.sas.iquery.metadata.business.DataItem dataItem)

### getLevelsAndValues

    public java.util.ArrayList getLevelsAndValues()

### setLevelsAndValues

    public void setLevelsAndValues(java.util.ArrayList level)

### getTupleElement

    public TupleElementInterface getTupleElement()

### setTupleElement

    public void setTupleElement(TupleElementInterface tupleElement)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.